Bug 863632

Summary: abrt dosen't detect SIGSEGV on Fedora 18 LXDE spin
Product: [Fedora] Fedora Reporter: masami256
Component: abrtAssignee: abrt <abrt-devel-list>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 18CC: abrt-devel-list, dvlasenk, iprikryl, jfilak, jmoskovc, kklic, mmilata, mtoman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-08 02:40:57 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
abrt test case log none

Description masami256 2012-10-06 02:26:09 EDT
Description of problem:
abrt dosen't detect SIGSEGV on Fedora 18 LXDE spin.
I downloaded an iso from here.
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC2/Live/x86_64/
 
abrt service seems to be working.
[masami@localhost ~]$ ps aux | grep abrt
root       434  0.0  0.0 143320  1732 ?        Ss   01:25   0:00
/usr/sbin/abrtd -d -s
root       437  0.0  0.0 141208  1408 ?        Ss   01:25   0:00
/usr/bin/abrt-watch-log -F Backtrace /var/log/Xorg.0.log --
/usr/bin/abrt-dump-xorg -xD
root       438  0.0  0.0 141208  1412 ?        Ss   01:25   0:00
/usr/bin/abrt-watch-log -F BUG corruption stack overflow protection
fault WARNING: at nable to handle ouble fault: RTNL: assertion failed
eek! page_mapcount(page) went negative! adness at NETDEV WATCHDOG
ysctl table check failed INFO: possible recursive locking detected :
nobody cared IRQ handler type mismatch /var/log/messages --
/usr/bin/abrt-dump-oops -xD
masami     854  0.0  0.3 291052  7048 ?        S    01:25   0:00 abrt-applet
masami    1723  0.0  0.0 109152   628 pts/0    S+   02:05   0:00 grep
--color=auto abrt


Version-Release number of selected component (if applicable):

I have installed following packages.
abrt-addon-ccpp-2.0.13-1.fc18.x86_64
abrt-2.0.13-1.fc18.x86_64
abrt-addon-kerneloops-2.0.13-1.fc18.x86_64
abrt-addon-python-2.0.13-1.fc18.x86_64
abrt-gui-2.0.13-1.fc18.x86_64
abrt-desktop-2.0.13-1.fc18.x86_64
abrt-addon-vmcore-2.0.13-1.fc18.x86_64
abrt-retrace-client-2.0.13-1.fc18.x86_64
abrt-addon-xorg-2.0.13-1.fc18.x86_64
abrt-libs-2.0.13-1.fc18.x86_64
abrt-plugin-bodhi-2.0.13-1.fc18.x86_64
abrt-dbus-2.0.13-1.fc18.x86_64


How reproducible:
always

Steps to Reproduce:
I did this abrt's test case.
https://fedoraproject.org/wiki/QA:Testcase_ABRT_Reporting_Known_Crash

When I did "kill -SIGSEGV %1", abrt doesn't give any notifications.

  
Actual results:
it doesn't detect SIGSEGV

Expected results:
detect SIGSEGV

Additional info:
fedora 17(abrt-2.0.13-1.fc17.x86_64) catches SIGSEGV via same test case.
Comment 1 masami256 2012-10-06 02:36:08 EDT
I checked selinux, but it didn't report any problems.
Comment 2 Jakub Filak 2012-10-07 09:36:39 EDT
Please provide output of the following commands:

$ cat /proc/sys/kernel/core_pattern 

$ sleep 100 &
$ kill -s SEGV $!
$ grep "abrt" /var/log/messages
Comment 3 masami256 2012-10-07 10:40:12 EDT
hi,

I took these log. please check it. 
btw, abrt package version is updated from 2.0.13 to 2.0.14 but I had same result.
 
thanks,

[masami@localhost ~]$ cat /proc/sys/kernel/core_pattern 
|/usr/libexec/abrt-hook-ccpp %s %c %p %u %g %t e

[masami@localhost ~]$ sleep 100&
[1] 1102
[masami@localhost ~]$ kill -s SEGV $!
[masami@localhost ~]$ sudo grep "abrt" /var/log/messages 
Oct  6 11:14:53 localhost abrt: detected unhandled Python exception in '/usr/sbin/firewalld'
Oct  6 11:14:53 localhost abrt: can't communicate with ABRT daemon, is it running? [Errno 2] No such file or directory
Oct  6 11:14:53 localhost abrtd: Init complete, entering main loop
Oct  6 11:14:55 localhost abrtd: Directory 'libreport-2012-10-06-11:14:55-559' creation detected
Oct  6 11:14:55 localhost abrtd: New problem directory /var/spool/abrt/libreport-2012-10-06-11:14:55-559, processing
Oct  6 01:25:20 localhost abrt: detected unhandled Python exception in '/usr/sbin/firewalld'
Oct  6 01:25:20 localhost abrt: can't communicate with ABRT daemon, is it running? [Errno 2] No such file or directory
Oct  6 01:25:20 localhost abrtd: Init complete, entering main loop
Oct  6 01:37:20 localhost abrt[1320]: Saved core dump of pid 1308 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-01:37:17-1308 (100720640 bytes)
Oct  6 01:37:20 localhost abrtd: Directory 'ccpp-2012-10-06-01:37:17-1308' creation detected
Oct  6 01:37:20 localhost abrtd: Generating backtrace
Oct  6 01:37:20 localhost abrtd: Running eu-unstrip failed
Oct  6 01:37:20 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-01:37:17-1308' exited with 1
Oct  6 01:37:20 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-01:37:17-1308', deleting
Oct  6 01:37:28 localhost abrt[1350]: Not saving repeating crash in '/usr/bin/gxine'
Oct  6 01:37:30 localhost abrt[1364]: Not saving repeating crash in '/usr/bin/gxine'
Oct  6 01:37:33 localhost abrt[1378]: Not saving repeating crash in '/usr/bin/gxine'
Oct  6 01:37:46 localhost abrt[1391]: Saved core dump of pid 1379 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-01:37:44-1379 (99217408 bytes)
Oct  6 01:37:46 localhost abrtd: Directory 'ccpp-2012-10-06-01:37:44-1379' creation detected
Oct  6 01:37:46 localhost abrtd: Generating backtrace
Oct  6 01:37:46 localhost abrtd: Running eu-unstrip failed
Oct  6 01:37:46 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-01:37:44-1379' exited with 1
Oct  6 01:37:46 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-01:37:44-1379', deleting
Oct  6 01:39:10 localhost abrt[1425]: Saved core dump of pid 1413 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-01:39:08-1413 (99217408 bytes)
Oct  6 01:39:10 localhost abrtd: Directory 'ccpp-2012-10-06-01:39:08-1413' creation detected
Oct  6 01:39:10 localhost abrtd: Generating backtrace
Oct  6 01:39:10 localhost abrtd: Running eu-unstrip failed
Oct  6 01:39:10 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-01:39:08-1413' exited with 1
Oct  6 01:39:10 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-01:39:08-1413', deleting
Oct  6 01:43:17 localhost abrt[1479]: Saved core dump of pid 1467 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-01:43:16-1467 (99217408 bytes)
Oct  6 01:43:17 localhost abrtd: Directory 'ccpp-2012-10-06-01:43:16-1467' creation detected
Oct  6 01:43:17 localhost abrtd: Generating backtrace
Oct  6 01:43:17 localhost abrtd: Running eu-unstrip failed
Oct  6 01:43:17 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-01:43:16-1467' exited with 1
Oct  6 01:43:17 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-01:43:16-1467', deleting
Oct  6 01:58:48 localhost abrt[1674]: Saved core dump of pid 1673 (/usr/bin/sleep) to /var/spool/abrt/ccpp-2012-10-06-01:58:48-1673 (380928 bytes)
Oct  6 01:58:48 localhost abrtd: Directory 'ccpp-2012-10-06-01:58:48-1673' creation detected
Oct  6 01:58:48 localhost abrtd: Generating backtrace
Oct  6 01:58:48 localhost abrtd: Running eu-unstrip failed
Oct  6 01:58:48 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-01:58:48-1673' exited with 1
Oct  6 01:58:48 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-01:58:48-1673', deleting
Oct  6 02:52:44 localhost abrt[6427]: Saved core dump of pid 6415 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-02:52:41-6415 (99213312 bytes)
Oct  6 02:52:44 localhost abrtd: Directory 'ccpp-2012-10-06-02:52:41-6415' creation detected
Oct  6 02:52:44 localhost abrtd: Generating backtrace
Oct  6 02:52:45 localhost abrtd: Running eu-unstrip failed
Oct  6 02:52:45 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-02:52:41-6415' exited with 1
Oct  6 02:52:45 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-02:52:41-6415', deleting
Oct  6 02:55:31 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 02:55:31 localhost abrtd: New client connected
Oct  6 02:55:31 localhost abrtd: Directory 'pyhook-2012-10-06-02:55:31-6630' creation detected
Oct  6 02:55:31 localhost abrt-server[6631]: Saved problem directory of pid 6630 to '/var/spool/abrt/pyhook-2012-10-06-02:55:31-6630'
Oct  6 02:55:31 localhost abrtd: New problem directory /var/spool/abrt/pyhook-2012-10-06-02:55:31-6630, processing
Oct  6 02:55:48 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 02:55:48 localhost abrtd: New client connected
Oct  6 02:55:48 localhost abrt-server[6655]: Not saving repeating crash in '/usr/bin/firewall-config'
Oct  6 03:01:05 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:01:05 localhost abrtd: New client connected
Oct  6 03:01:05 localhost abrtd: Directory 'pyhook-2012-10-06-03:01:05-6734' creation detected
Oct  6 03:01:05 localhost abrt-server[6735]: Saved problem directory of pid 6734 to '/var/spool/abrt/pyhook-2012-10-06-03:01:05-6734'
Oct  6 03:01:05 localhost abrtd: Duplicate: core backtrace
Oct  6 03:01:05 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-02:55:31-6630
Oct  6 03:01:05 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-03:01:05-6734', deleting
Oct  6 03:01:22 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:01:22 localhost abrtd: New client connected
Oct  6 03:01:22 localhost abrt-server[6770]: Not saving repeating crash in '/usr/bin/firewall-config'
Oct  6 03:01:37 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:01:37 localhost abrtd: New client connected
Oct  6 03:01:37 localhost abrtd: Directory 'pyhook-2012-10-06-03:01:37-6774' creation detected
Oct  6 03:01:37 localhost abrt-server[6775]: Saved problem directory of pid 6774 to '/var/spool/abrt/pyhook-2012-10-06-03:01:37-6774'
Oct  6 03:01:37 localhost abrtd: Duplicate: core backtrace
Oct  6 03:01:37 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-02:55:31-6630
Oct  6 03:01:37 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-03:01:37-6774', deleting
Oct  6 03:02:05 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:02:05 localhost abrtd: New client connected
Oct  6 03:02:05 localhost abrtd: Directory 'pyhook-2012-10-06-03:02:05-6786' creation detected
Oct  6 03:02:05 localhost abrt-server[6787]: Saved problem directory of pid 6786 to '/var/spool/abrt/pyhook-2012-10-06-03:02:05-6786'
Oct  6 03:02:05 localhost abrtd: Duplicate: core backtrace
Oct  6 03:02:05 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-02:55:31-6630
Oct  6 03:02:05 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-03:02:05-6786', deleting
Oct  6 03:02:11 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:02:11 localhost abrtd: New client connected
Oct  6 03:02:11 localhost abrt-server[6799]: Not saving repeating crash in '/usr/bin/firewall-config'
Oct  6 03:07:57 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:07:57 localhost abrtd: New client connected
Oct  6 03:07:57 localhost abrtd: Directory 'pyhook-2012-10-06-03:07:57-6865' creation detected
Oct  6 03:07:57 localhost abrt-server[6866]: Saved problem directory of pid 6865 to '/var/spool/abrt/pyhook-2012-10-06-03:07:57-6865'
Oct  6 03:07:57 localhost abrtd: New problem directory /var/spool/abrt/pyhook-2012-10-06-03:07:57-6865, processing
Oct  6 03:08:33 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 03:08:33 localhost abrtd: New client connected
Oct  6 03:08:33 localhost abrtd: Directory 'pyhook-2012-10-06-03:08:33-6889' creation detected
Oct  6 03:08:33 localhost abrt-server[6890]: Saved problem directory of pid 6889 to '/var/spool/abrt/pyhook-2012-10-06-03:08:33-6889'
Oct  6 03:08:33 localhost abrtd: New problem directory /var/spool/abrt/pyhook-2012-10-06-03:08:33-6889, processing
Oct  6 03:34:11 localhost abrtd: Directory 'pyhook-2012-10-06-03:34:11-458' creation detected
Oct  6 03:34:11 localhost abrt-server[522]: Saved problem directory of pid 458 to '/var/spool/abrt/pyhook-2012-10-06-03:34:11-458'
Oct  6 03:34:11 localhost abrtd: Duplicate: core backtrace
Oct  6 03:34:11 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-03:07:57-6865
Oct  6 03:34:11 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-03:34:11-458', deleting
Oct  6 03:40:36 localhost abrt[3179]: Saved core dump of pid 2877 (/usr/bin/pnmixer) to /var/spool/abrt/ccpp-2012-10-06-03:40:35-2877 (11001856 bytes)
Oct  6 03:40:36 localhost abrtd: Directory 'ccpp-2012-10-06-03:40:35-2877' creation detected
Oct  6 03:40:36 localhost abrtd: Generating backtrace
Oct  6 03:40:36 localhost abrtd: Running eu-unstrip failed
Oct  6 03:40:36 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-03:40:35-2877' exited with 1
Oct  6 03:40:36 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-03:40:35-2877', deleting
Oct  6 03:42:53 localhost abrtd: Init complete, entering main loop
Oct  6 03:57:22 localhost abrt: detected unhandled Python exception in '/usr/share/yumex/yum_childtask.py'
Oct  6 03:57:22 localhost abrtd: New client connected
Oct  6 03:57:22 localhost abrtd: Directory 'pyhook-2012-10-06-03:57:22-1132' creation detected
Oct  6 03:57:22 localhost abrt-server[1148]: Saved problem directory of pid 1132 to '/var/spool/abrt/pyhook-2012-10-06-03:57:22-1132'
Oct  6 03:57:23 localhost abrtd: Duplicate: core backtrace
Oct  6 03:57:23 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-03:07:57-6865
Oct  6 03:57:23 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-03:57:22-1132', deleting
Oct  6 03:58:33 localhost yum[1162]: Updated: abrt-libs-2.0.14-1.fc18.x86_64
Oct  6 03:58:34 localhost yum[1162]: Updated: abrt-2.0.14-1.fc18.x86_64
Oct  6 03:58:36 localhost yum[1162]: Updated: abrt-addon-kerneloops-2.0.14-1.fc18.x86_64
Oct  6 03:58:36 localhost yum[1162]: Updated: abrt-addon-vmcore-2.0.14-1.fc18.x86_64
Oct  6 03:58:36 localhost yum[1162]: Updated: abrt-plugin-bodhi-2.0.14-1.fc18.x86_64
Oct  6 03:58:37 localhost yum[1162]: Updated: abrt-addon-python-2.0.14-1.fc18.x86_64
Oct  6 03:58:37 localhost yum[1162]: Updated: abrt-retrace-client-2.0.14-1.fc18.x86_64
Oct  6 03:58:37 localhost yum[1162]: Updated: abrt-addon-ccpp-2.0.14-1.fc18.x86_64
Oct  6 03:58:38 localhost yum[1162]: Updated: abrt-addon-xorg-2.0.14-1.fc18.x86_64
Oct  6 03:58:38 localhost yum[1162]: Updated: abrt-dbus-2.0.14-1.fc18.x86_64
Oct  6 03:58:39 localhost yum[1162]: Updated: abrt-gui-2.0.14-1.fc18.x86_64
Oct  6 03:58:50 localhost yum[1162]: Updated: abrt-desktop-2.0.14-1.fc18.x86_64
Oct  6 04:00:21 localhost abrtd: Got signal 15, exiting
Oct  6 04:00:21 localhost abrtd: Init complete, entering main loop
Oct  6 04:02:36 localhost abrt[3265]: Saved core dump of pid 3253 (/usr/bin/gxine) to /var/spool/abrt/ccpp-2012-10-06-04:02:32-3253 (99217408 bytes)
Oct  6 04:02:36 localhost abrtd: Directory 'ccpp-2012-10-06-04:02:32-3253' creation detected
Oct  6 04:02:36 localhost abrtd: Generating backtrace
Oct  6 04:02:36 localhost abrtd: Running eu-unstrip failed
Oct  6 04:02:36 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-06-04:02:32-3253' exited with 1
Oct  6 04:02:36 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-06-04:02:32-3253', deleting
Oct  6 04:03:03 localhost abrt: detected unhandled Python exception in '/usr/bin/firewall-config'
Oct  6 04:03:03 localhost abrtd: New client connected
Oct  6 04:03:03 localhost abrtd: Directory 'pyhook-2012-10-06-04:03:03-3336' creation detected
Oct  6 04:03:03 localhost abrt-server[3337]: Saved problem directory of pid 3336 to '/var/spool/abrt/pyhook-2012-10-06-04:03:03-3336'
Oct  6 04:03:03 localhost abrtd: Duplicate: core backtrace
Oct  6 04:03:03 localhost abrtd: DUP_OF_DIR: /var/spool/abrt/pyhook-2012-10-06-03:07:57-6865
Oct  6 04:03:03 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/pyhook-2012-10-06-04:03:03-3336', deleting
Oct  6 04:04:17 localhost abrt: detected unhandled Python exception in '/usr/sbin/firewalld'
Oct  7 10:22:57 localhost abrt: detected unhandled Python exception in '/usr/sbin/firewalld'
Oct  7 10:24:21 localhost abrtd: Directory 'ccpp-2012-10-07-10:24:21-1153' creation detected
Oct  7 10:24:21 localhost abrt[1154]: Saved core dump of pid 1153 (/usr/bin/sleep) to /var/spool/abrt/ccpp-2012-10-07-10:24:21-1153 (380928 bytes)
Oct  7 10:24:21 localhost abrt[1154]: Lock file '/var/spool/abrt/pyhook-2012-10-06-03:08:33-6889/.lock' is locked by process 463
Oct  7 10:24:22 localhost abrtd: Generating backtrace
Oct  7 10:24:22 localhost abrtd: Running eu-unstrip failed
Oct  7 10:24:22 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-07-10:24:21-1153' exited with 1
Oct  7 10:24:22 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-07-10:24:21-1153', deleting
Oct  7 10:25:12 localhost abrt: detected unhandled Python exception in '/usr/sbin/firewalld'
Oct  7 10:25:53 localhost abrt[1103]: Saved core dump of pid 1102 (/usr/bin/sleep) to /var/spool/abrt/ccpp-2012-10-07-10:25:53-1102 (380928 bytes)
Oct  7 10:25:53 localhost abrtd: Directory 'ccpp-2012-10-07-10:25:53-1102' creation detected
Oct  7 10:25:53 localhost abrtd: Generating backtrace
Oct  7 10:25:53 localhost abrtd: Running eu-unstrip failed
Oct  7 10:25:53 localhost abrtd: 'post-create' on '/var/spool/abrt/ccpp-2012-10-07-10:25:53-1102' exited with 1
Oct  7 10:25:53 localhost abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-07-10:25:53-1102', deleting
[1]+  Segmentation fault      (core dumped) sleep 100

I have installed these packages.
abrt-2.0.14-1.fc18.x86_64
abrt-addon-ccpp-2.0.14-1.fc18.x86_64
abrt-addon-kerneloops-2.0.14-1.fc18.x86_64
abrt-addon-python-2.0.14-1.fc18.x86_64
abrt-addon-vmcore-2.0.14-1.fc18.x86_64
abrt-addon-xorg-2.0.14-1.fc18.x86_64
abrt-dbus-2.0.14-1.fc18.x86_64
abrt-desktop-2.0.14-1.fc18.x86_64
abrt-gui-2.0.14-1.fc18.x86_64
abrt-libs-2.0.14-1.fc18.x86_64
abrt-plugin-bodhi-2.0.14-1.fc18.x86_64
abrt-retrace-client-2.0.14-1.fc18.x86_64
Comment 4 Jakub Filak 2012-10-07 13:05:11 EDT
Thanks for the log.

Please install elfutils

$ yum install elfutils

and try to report your crash again.
Comment 5 Jakub Filak 2012-10-07 13:47:59 EDT
(In reply to comment #4)
> Thanks for the log.
> 
> Please install elfutils
> 
> $ yum install elfutils
> 
> and try to report your crash again.

I'm sorry I'm an idiot. I meant run the following commands and not report the crash.

$ sleep 100 &
$ kill -s SEGV $!
$ grep "abrt" /var/log/messages
Comment 6 masami256 2012-10-07 21:04:57 EDT
Created attachment 623206 [details]
abrt test case log
Comment 7 masami256 2012-10-07 21:23:37 EDT
Hi Jakub,

> I'm sorry I'm an idiot. I meant run the following commands and not report the crash.
I did it. That log is pretty long(about 200 lines) so I attached it. The comment 6 is link to the file.

I noticed that if I have installed elfutils, abrt notifies a crash and I can see a crash report by "Automatic Bug Reporting Tool". However, if I don't have elfutils package, abrt doesn't notify a crash, and I can't see any report by abrt-gui.

Thanks,
Comment 8 Jakub Filak 2012-10-08 02:40:57 EDT
Hi,

this bug is caused by my fault during updating the abrt package. This bug is duplicate of #859674. I've created a second build of abrt-2.0.14 and the package hopefully requires elfutils, now.

Thank you for the cooperation.

*** This bug has been marked as a duplicate of bug 859674 ***